ahven (2.8-9ubuntu2.1) noble; urgency=medium

  * SRU: LP: #2083315: No-change rebuild for gnat 64bit time_t changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Oct 2024 17:05:14 +0200

ahven (2.8-9ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:16:56 +0000

ahven (2.8-9ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable lto for now, FTBFS on amd64 and arm64

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Mar 2024 13:36:13 +0100

ahven (2.8-9) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:24:47 +0000

ahven (2.8-8) experimental; urgency=medium

  * Rename the library package with a new shared object version.
  * Build in experimental with dh-ada-library >= 9.1 and gnat >= 13.1.
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Remove override for doc main package, now guessed correctly.
  * Remove obsolete stuff from control file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 20 Dec 2023 21:57:07 +0000

ahven (2.8-7ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable lto for now, FTBFS on amd64 and arm64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 May 2023 23:19:25 +0200

ahven (2.8-7) unstable; urgency=medium

  * Break/Replace libahven*-dev since oldstable. Closes: #1035011.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 10:43:00 +0200

ahven (2.8-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 00:42:54 +0100

ahven (2.8-6ubuntu1) lunar; urgency=medium

  * Disable lto for now, FTBFS on amd64 and arm64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Jan 2023 14:49:45 +0100

ahven (2.8-5) experimental; urgency=medium

  * Build with gcc-12, rename the -dev package but not the shared library
  * Adapt to dh-ada-library 8.1
  * Standards-Version: 4.6.1
  * Prefer execute_before to override/remaining-packages
  * Add note about patches/no-library-interface.diff forwarding
  * Add upstream/metadata

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 30 Aug 2022 19:39:33 +0200

ahven (2.8-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 20:23:32 +0200

ahven (2.8-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 17:25:11 +0200

ahven (2.8-2) experimental; urgency=medium

  * Rebuild with gnat-11 in experimental. Rename -dev package accordingly.
  * Adapt to new unversioned debian_packaging.mk.
  * Standards-Version: 4.6.0, no changes.
  * Remove obsolete package conflicts.
  * Drop obsolete version restriction in build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Oct 2021 09:25:50 +0000

ahven (2.8-1) unstable; urgency=medium

  * New upstream release (only build system updates).
  * Upload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:24:54 +0100

ahven (2.7-5) experimental; urgency=medium

  * Use debhelper 12 dh-sequence syntax, move gnat to Build-Depends-Arch
  * Drop patch sorting ldflags, forwarded and not required
  * Debhelper 13
  * Pass build flags via the environment
  * Fix copyright years
  * Build with gnat-10, rename lib and -dev accordingly
  * Simplify project path in call to dh-ada-library
  * Link the shared library with LDFLAGS

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 May 2020 21:45:22 +0000

ahven (2.7-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition. Closes: #952693.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 28 Feb 2020 23:23:59 +0100

ahven (2.7-3) experimental; urgency=medium

  * Rebuild with GCC-9. Rename library and -dev package accordingly.
  * Add link warnings, remove --as-needed (now the default).
  * Debhelper 12 (does not compress examples). Standards-Version 4.4.1.
  * Add paragraph for public-domain pseudo-license.
  * Add explicit doc-main-package for debhelper.
  * Drop obsolete conflicts.
  * Update variable name in autopkgtests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 05 Nov 2019 17:24:51 +0100

ahven (2.7-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:38 +0200

ahven (2.7-1) experimental; urgency=medium

  * New upstream release.
  * Fix copyright file. Closes: #904431.
  * Let the new -doc package Break/Replace previous -dev packages,
    because it has taken over the tutorial. Closes: #904504.
  * Standards-Version: 4.2.0. Stop installing NEWS as changelog.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Aug 2018 14:07:29 +0200

ahven (2.7~1-1) experimental; urgency=medium

  * Rebuild with gnat-8. Closes: #903036.
    Rename library (soversion) and -dev (aliversion) packages per Ada policy.
  * Package upstream 2.7 snapshot: mercurial revision 6c0f7ff38c60.
    Build-Depend: gprbuild, gnat has dropped support for .gpr files.
    Remove Library_Interface so that shared lib works with sources visible.
    Build and install user manual, now that it only requires sphinx.
  * Add a documentation package. Split Build-Depends into -Arch and -Indep.
  * Make test logs more verbose, check Library_Interface removal.
  * Switch to debhelper 11 (no changes).
  * Standards-Version 4.1.5. Rules-Requires-Root: no.
  * Update Homepage URL.
  * Make flow and value of build flags visible in logs.
  * Use dh_ada_library.
  * Add me to uploaders.
  * Reenable test for dynamic library, #870323 is fixed.
  * Use HTTPS in watch file.
  * Move LDFLAGS like -z relro before library options.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Jul 2018 10:46:43 +0200

ahven (2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gnat-7. Closes: #849985.
    Rename runtime and -dev with new SO and ALI versions.
    The lintian warning about executable stack is obsolete with gcc-7.
  * Disable failing build tests. Closes: #870323.
  * Make runtime library package Multi-Arch: same.
  * Enable all hardening flags.
  * Install ahven.gpr to new Debian project path /usr/share/gpr.
  * Documentation
    - README.Debian referencing Debian Ada policy and online documentation.
    - Drop README.source, upstream tarball contains no doc/manual/build.
    - Register tutorial in doc-base.
    - Move ROADMAP to -dev package instead of the runtime package.
  * QA
    - Remove many explicit ALI, SO or gnat versions to ease upgrades.
    - Standards-Version: 4.0.1 (no changes).
    - Debhelper 10. Replace --fail-missing deprecated option.
    - Switch watch file to version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Aug 2017 15:01:03 +0200

ahven (2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use versioned dev-package as per Debian Ada policy.

 -- Anton Gladky <gladk@debian.org>  Fri, 15 Jul 2016 19:38:51 +0200

ahven (2.6-1) unstable; urgency=medium

  * Adjust URL in watch file
  * Imported Upstream version 2.6
  * Transition to gnat-6 compiler (Closes: #830409)
  * Drop obsolete Conflicts/Replaces
  * Update binary package names
  * Switch Vcs-* URLs to HTTPS
  * Update to debhelper 9
  * Update to Standards-Version 3.9.8
  * Switch to comfignat build functionality
  * Rediff patches
  * Add link-with-shared autopkgtest
  * Drop explicit ahven-dbg package

 -- Reto Buerki <reet@codelabs.ch>  Mon, 11 Jul 2016 09:23:47 +0200

ahven (2.4+repack-1) unstable; urgency=medium

  * Imported Upstream version 2.4
  * Strip pre-built manual
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update binary package names
  * Transition to gnat-4.9 compiler (Closes: #753957, #755010)
  * Update to Standards-Version 3.9.5
  * Enable dpkg-buildflags hardening options
  * Update library kind support patch
  * New patch 0002-Fix-misplaced-then-warnings-style.patch
  * Update debian/copyright
  * Remove pre-built manual files from debian/copyright

 -- Reto Buerki <reet@codelabs.ch>  Mon, 04 Aug 2014 22:52:09 +0200

ahven (2.1-4) unstable; urgency=low

  * Update copyright information
  * Declare conflict with libahven1-dev (Closes: #699193)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 30 Jan 2013 10:04:08 +0100

ahven (2.1-3) unstable; urgency=low

  * Update comment header in GNAT project file
  * Install dynamic/static libs directly to usr/lib
  * Set Architecture to 'any'
  * Also depend on gnat package (Closes: #663670)
  * Build dynamic/static lib in separate Obj/Lib dirs
  * Update to Standards-Version 3.9.3 (no changes)

 -- Reto Buerki <reet@codelabs.ch>  Fri, 16 Mar 2012 13:15:49 +0100

ahven (2.1-2) unstable; urgency=low

  * Add conflict with libahven2-dev (Closes: #646927)
  * Enable DM upload
  * Update Vcs-Git URL

 -- Reto Buerki <reet@codelabs.ch>  Mon, 21 Nov 2011 17:27:08 +0100

ahven (2.1-1) unstable; urgency=low

  * Imported Upstream version 2.1
  * Bump dev package aliversion to 3.
  * Rename libahven19.0 package to libahven21.0.
  * Unapply patches from source.
  * Override shlib-with-executable-stack lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Thu, 27 Oct 2011 13:02:02 +0200

ahven (1.9-1) unstable; urgency=low

  * Merging upstream version 1.9.
  * Update library-kind-support.patch.
  * Rename libahven17.0 package to libahven19.0.
  * Bump dev package aliversion to 2.
  * Remove adabrowse from Build-Depends.
    - Not needed anymore because upstream now uses python-sphinx to generate
      docs.
  * Update to Standards-Version 3.9.2 (no changes).
  * Drop unneeded ahven-dbg.lintian-overrides.
  * Migrate to gnat-4.6.
  * Update to debhelper 8.
  * Switch to minimal debian/rules syntax.
  * Update debian/copyright file.
  * Exclude doc/manual from libahven2 docs.
    - The Sphinx Ada domain required to build the manual is not yet available
      in Debian.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 29 Aug 2011 14:30:21 +0200

ahven (1.7-2) unstable; urgency=low

  * Declare conflict with libahven-dev (Closes: #563629).
  * Fix debhelper-but-no-misc-depends lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 11 Jan 2010 20:44:49 +0100

ahven (1.7-1) unstable; urgency=low

  * Add kfreebsd-amd64 to Architecture (Closes: #542407).
  * Merging upstream version 1.7.
  * Drop obsolete vstrings patch.
  * Bump soname from 16 to 17.
  * Update to Standards-Version 3.8.3 (no changes).
  * Add docbook-testreport to libahven-dev examples.
  * Install upstream changelog.
  * Add static/dynamic library kind support.
  * Migrate to gnat-4.4 (Closes: #533152, #555095).
  * Add aliversion to dev package.
  * Switch to 3.0 (quilt) source package format.
  * Remove alpha from Architecture.
  * Update upstream homepage.
  * Update adabrowse specific architecture list.
  * Update debian/copyright file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 23 Dec 2009 18:51:28 +0100

ahven (1.6-2) unstable; urgency=low

  * Fix wrong-section-according-to-package-name warning.
    - ahven-dbg: devel -> debug.
  * Add patch to fix vstring truncation bug.
  * Update to Standards-Version 3.8.1 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Sun, 10 May 2009 19:30:58 +0200

ahven (1.6-1) unstable; urgency=low

  * Update upstream homepage location.
  * Add Vcs-Browser setting to control file.
  * Remove "section" field from binary package.
  * Expand extended package description.
  * Merging upstream version 1.6.
  * Bump soname from 14 to 16 (new upstream release).
  * Update clean target in debian/rules.
  * Point the watch file to the new Sourceforge location.
  * Update the download location in debian/copyright.
  * Add Vcs-Git setting to control file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 04 Mar 2009 11:55:29 +0100

ahven (1.4-2) unstable; urgency=low

  * Don't generate docs on mips (Closes: #486861, #513745).
  * Use dh_prep instead of deprecated dh_clean -k.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 04 Feb 2009 21:54:06 +0100

ahven (1.4-1) unstable; urgency=low

  * Update maintainer and uploader e-mail address.
  * Merging upstream version 1.4.
  * Run ahven unit tests in build target.
  * Add Debian specific ahven project file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 28 Jan 2009 01:07:43 +0100

ahven (1.3-2) unstable; urgency=low

  * Removed CFLAGS from rules (deprecated with new dpkg).
  * Don't build ahven docs for armel architecture, adabrowse is not
    available there.
  * Added fail-missing to dh_install.
  * Corrected architecture fields in control file.

 -- Reto Buerki <buerki@swiss-it.ch>  Tue, 02 Sep 2008 10:36:04 +0200

ahven (1.3-1) unstable; urgency=low

  * New upstream release:
    - Bumps soname from 12 to 13 - no other packages need to be transitioned.
  * Updated ahven sources to version 1.3.
  * Removed dpatch from Build-Depends.
    - No need to patch documentation generation any more.
  * Updated to Standards-Version: 3.8.0 (no changes).
  * Updated supported architectures.
    - Added kfreebsd-i386, mips, mipsel, ppc64 to list.

 -- Reto Buerki <buerki@swiss-it.ch>  Mon, 25 Aug 2008 23:24:01 +0200

ahven (1.2-1) unstable; urgency=low

  * New upstream release:
      - Bumps soname 11 to 12 - no other packages need to be transitioned.
  * API-documentation is built with adabrowse now.
  * Added adabrowse to Build-Depends.
  * Added patch to build docs for ahven-xml_runner.ads and ahven-compat.ads
    as well.

 -- Reto Buerki <buerki@swiss-it.ch>  Sun, 18 May 2008 21:02:37 +0200

ahven (1.1-3) unstable; urgency=low

  * Added missing docs in libahven-dev package.

 -- Reto Buerki <buerki@swiss-it.ch>  Sun, 11 May 2008 08:59:23 +0000

ahven (1.1-2) unstable; urgency=low

  * Only building ahven on architectures supported by gnat
    (alpha amd64 hppa i386 ia64 powerpc s390 sparc).
  * Further excluding mips, mipsel (not ported yet).

 -- Reto Buerki <buerki@swiss-it.ch>  Thu, 08 May 2008 10:16:06 +0200

ahven (1.1-1) unstable; urgency=low

  * Initial release.

 -- Reto Buerki <buerki@swiss-it.ch>  Fri, 11 Apr 2008 11:20:14 +0200
